//
//  CommonUtils.h
//  AwesomeProject
//
//  Created by 孙祎鸿 on 16/9/19.
//  Copyright © 2016年 Facebook. All rights reserved.
//

/*
 一.环境配置:
 1.导入SystemConfiguration.framework框架
 
 2.在info.plist添加如下代码:
 
 <key>LSApplicationQueriesSchemes</key>
 <array>
 <!-- 微信 URL Scheme 白名单-->
 <string>wechat</string>
 <string>weixin</string>
 
 <!-- 新浪微博 URL Scheme 白名单-->
 <string>sinaweibohd</string>
 <string>sinaweibo</string>
 <string>sinaweibosso</string>
 <string>weibosdk</string>
 <string>weibosdk2.5</string>
 
 <!-- QQ、Qzone URL Scheme 白名单-->
 <string>mqqapi</string>
 <string>mqq</string>
 <string>mqqOpensdkSSoLogin</string>
 <string>mqqconnect</string>
 <string>mqqopensdkdataline</string>
 <string>mqqopensdkgrouptribeshare</string>
 <string>mqqopensdkfriend</string>
 <string>mqqopensdkapi</string>
 <string>mqqopensdkapiV2</string>
 <string>mqqopensdkapiV3</string>
 <string>mqzoneopensdk</string>
 <string>wtloginmqq</string>
 <string>wtloginmqq2</string>
 <string>mqqwpa</string>
 <string>mqzone</string>
 <string>mqzonev2</string>
 <string>mqzoneshare</string>
 <string>wtloginqzone</string>
 <string>mqzonewx</string>
 <string>mqzoneopensdkapiV2</string>
 <string>mqzoneopensdkapi19</string>
 <string>mqzoneopensdkapi</string>
 <string>mqzoneopensdk</string>
 
 <!-- 支付宝  URL Scheme 白名单-->
 <string>alipay</string>
 <string>alipayshare</string>
 </array>
 
 二.方法调用:
 Module:       Module名称:CommonUtils
 
 检测可用网络   (注: unknow-未知    wifi-局域网   wwan-蜂窝网络  notReachable-没有网络  )
 isAvailableNetWork:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 *******检测应用的安装****
 检测是否安装了微信
 isInstallWeiXinApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 检测是否安装了新浪微博
 isInstallSinaApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 检测是否安装了Facebook
 isInstallFacebookApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 检测是否安装了推特
 isInstallTwitterApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 检测是否安装了QQ
 isInstallQQApp:(RCTPromiseResolveBlock)resolve
 rejecter:(RCTPromiseRejectBlock)reject
 
 检测是否安装了支付宝
 isInstallAliPayApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 检测是否安装了某个APP ( 注:需要在info.plist添加如下代码: 在LSApplicationQueriesSchemes的<array>下添加<string>XXXXX</string>)
 isInstallOneApp:(NSString *)urlStr resolve:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 
 */


#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

#import "RCTBridgeModule.h"

#import "Reachability.h"


@interface CommonUtils : NSObject<RCTBridgeModule>

@end
