//
//  CommonUtils.m
//  AwesomeProject
//
//  Created by 孙祎鸿 on 16/9/19.
//  Copyright © 2016年 Facebook. All rights reserved.
//

#import "CommonUtils.h"

@implementation CommonUtils

RCT_EXPORT_MODULE();










/*
 检测可用网络   (注: unknow-未知    wifi-局域网   wwan-蜂窝网络  notReachable-没有网络  )
 isAvailableNetWork:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isAvailableNetWork:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  NSString *net = @"unknow";
  
  Reachability *reachability   = [Reachability reachabilityWithHostName:@"www.apple.com"];
  NetworkStatus internetStatus = [reachability currentReachabilityStatus];
  
  switch (internetStatus) {
    case ReachableViaWiFi:
      net = @"wifi";
      break;
      
    case ReachableViaWWAN:
      net = @"wwan";
      break;
      
    case NotReachable:
      net = @"notReachable";
      
    default:
      break;
  }
  
  resolve(net);
  
}







/*
 检测是否安装了微信
 isInstallWeiXinApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallWeiXinApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"Whatapp://"]])
  {
    //微信
    resolve(@"true");
  }
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"whatapp://"]])
  {
    //微信
    resolve(@"true");
  }
  else if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"weixin://"]])
  {
    //微信
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}

/*
 检测是否安装了新浪微博
 isInstallSinaApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallSinaApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"Sinaweibo://"]])
  {
    //新浪微博
    resolve(@"true");
  }
  else if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"sinaweibo://"]])
  {
    //新浪微博
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}

/*
 检测是否安装了Facebook
 isInstallFacebookApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallFacebookApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"Facebook://"]])
  {
    //Facebook
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}

/*
 检测是否安装了推特
 isInstallTwitterApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallTwitterApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"Twitter://"]])
  {
    //推特
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}

/*
 检测是否安装了QQ
 isInstallQQApp:(RCTPromiseResolveBlock)resolve
 rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallQQApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"mqq://"]])
  {
    // 检测是否安装了QQ
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}

/*
 检测是否安装了支付宝
 isInstallAliPayApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallAliPayApp:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"alipay://"]])
  {
    // 检测是否安装了支付宝
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}

/*
 检测是否安装了某个APP
 isInstallOneApp:(NSString *)urlStr resolve:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject
 */
RCT_EXPORT_METHOD(isInstallOneApp:(NSString *)urlStr resolve:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject)
{
  
  if ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:urlStr]])
  {
    // 检测是否安装了某个APP
    resolve(@"true");
  }
  else
  {
    resolve(@"false");
  }
  
}




@end
